<template>
  <ul class="catalog__pagination pagination">
    <li class="pagination__item">
      <a class="pagination__link pagination__link--arrow"
         :class="{'pagination__link--disabled': isFirstPage}"
         href="#"
         @click.prevent="decrementPage()"
         aria-label="Предыдущая страница">
        <svg width="8" height="14" fill="currentColor">
          <use xlink:href="#icon-arrow-left"></use>
        </svg>
      </a>
    </li>
    <li class="pagination__item" v-for="page in totalPages" :key="page">
      <a class="pagination__link " :class="{'pagination__link--current': page===currentPage}"
         href="#" @click.prevent="changePage(page)">
        {{ page }}
      </a>
    </li>
    <li class="pagination__item">
      <a class="pagination__link pagination__link--arrow"
         :class="{'pagination__link--disabled': isLastPage}"
         @click.prevent="incrementPage()"
         href="#" aria-label="Следующая страница">
        <svg width="8" height="14" fill="currentColor">
          <use xlink:href="#icon-arrow-right"></use>
        </svg>
      </a>
    </li>
  </ul>
</template>

<script>
export default {
  model: {
    prop: 'currentPage',
    event: 'change',
  },
  name: 'BasePaginator',
  props: ['currentPage', 'totalPages'],
  methods: {
    changePage(pageNumber) {
      this.$emit('change', pageNumber);
    },
    incrementPage() {
      if (!this.isLastPage) {
        this.changePage(this.currentPage + 1);
      }
    },
    decrementPage() {
      if (!this.isFirstPage) {
        this.changePage(this.currentPage - 1);
      }
    },
  },
  computed: {
    isFirstPage() {
      return this.currentPage === 1;
    },
    isLastPage() {
      return this.currentPage === this.totalPages;
    },
  },
};
</script>

<style scoped>

</style>
